"use strict";

var _constants = require("@instructure/quiz-common/lib/constants");

var _features = require("../features");

describe('features action creators', function () {
  it('returns a well-formed add feature action', function () {
    var featuresList = ['feature1', 'feature2'];
    var action = (0, _features.addFeatures)(featuresList);
    expect(action).to.deep.equal({
      type: _constants.ADD_FEATURES,
      payload: featuresList
    });
  });
  it('returns a well-formed remove feature action', function () {
    var featuresToRemove = ['feature1', 'feature2'];
    var action = (0, _features.removeFeatures)(featuresToRemove);
    expect(action).to.deep.equal({
      type: _constants.REMOVE_FEATURES,
      payload: featuresToRemove
    });
  });
});